package eu.digitalconcepts.dcgw.api.profile;


/**
 * Direction of data transfer.
 * 

 * @author  Digital Concepts GmbH, T. Hennerich
 */
public enum Direction
{
	/** Telegram from an EnOcean device. */
	from,
	
	/** Telegram to an EnOcean device. */
	to,
	
	/** Telegram from or to an EnOcean device. */
	both
}

