package eu.digitalconcepts.dcgw.api.profile;




/**
 * Variation information of a standard profile.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class Variation 
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	/**
	 * Name of the EEP variation or null in case of a profile version only.
	 */
	private String variation;
	
	/**
	 * Direction of the profile / the profile variation.
	 */
	private Direction direction;

	/**
	 * Version of profile or profile variation
	 */
	private double version;
	
	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getVariation()
	{
		return variation;
	}
	
	public void setVariation(String pVariation)
	{
		variation = pVariation;
	}
	
	public Direction getDirection()
	{
		return direction;
	}
	
	public void setDirection(Direction pDirection)
	{
		direction = pDirection;
	}

	public double getVersion()
	{
		return version;
	}

	public void setVersion(double pVersion)
	{
		version = pVersion;
	}
}
