package eu.digitalconcepts.dcgw.api.device;

import eu.digitalconcepts.dcgw.api.profile.Direction;


/**
 * Definition of a supported EEP of a device.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich 
 */
public class Eep
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================

	private String eep;
	
	private String variation;
	
	private double version;

	private Direction direction;

	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getEep()
	{
		return eep;
	}

	public void setEep(String pEep)
	{
		eep = pEep;
	}

	public String getVariation()
	{
		return variation;
	}
	
	public void setVariation(String pVariation)
	{
		variation = pVariation;
	}

	public double getVersion()
	{
		return version;
	}

	public void setVersion(double pVersion)
	{
		version = pVersion;
	}

	public Direction getDirection()
	{
		return direction;
	}
	
	public void setDirection(Direction pDirection)
	{
		direction = pDirection;
	}
}
