package eu.digitalconcepts.dcgw.api.system;



/**
 * JSON entity for detailed system info.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class SystemInfo
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================
	
	private String version;
	
	private String baseId;
	
	private int possibleBaseIDChanges;
	
	private String eurid;
	
	private String chipVersion;
	
	private int frequency;

	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public String getVersion()
	{
		return version;
	}

	public void setVersion(String pVersion)
	{
		version = pVersion;
	}

	public String getBaseId()
	{
		return baseId;
	}

	public void setBaseId(String pBaseId)
	{
		baseId = pBaseId;
	}
	
	public int getPossibleBaseIdChanges()
	{
		return possibleBaseIDChanges;
	}

	public void setPossibleBaseIdChanges(int possibleBaseIdChanges)
	{
		this.possibleBaseIDChanges = possibleBaseIdChanges;
	}

	public String getEurid()
	{
		return eurid;
	}

	public void setEurid(String pEuriD)
	{
		eurid = pEuriD;
	}

	public String getChipVersion()
	{
		return chipVersion;
	}

	public void setChipVersion(String pChipVersion)
	{
		chipVersion = pChipVersion;
	}

	public int getFrequency()
	{
		return frequency;
	}

	public void setFrequency(int pFrequency)
	{
		frequency = pFrequency;
	}
}