package eu.digitalconcepts.dcgw.api.system;

import eu.digitalconcepts.dcgw.api.Message;


/**
 * JSON container to access system info.
 * 
 * 
 * @author  Digital Concepts GmbH, T. Hennerich
 */
public class SystemInfoMessage extends Message
{
	// ===================================================================================================================================
	// Field Variables
	// ===================================================================================================================================
	
	private SystemInfo systemInfo;
	
	
	// ===================================================================================================================================
	// Getter / Setter
	// ===================================================================================================================================

	public SystemInfo getSystemInfo() 
	{
		return systemInfo;
	}
	
	public void setSystemInfo(SystemInfo pSystemInfo) 
	{
		systemInfo = pSystemInfo;
	}
}
